<app-banner [title]="'Login'"> </app-banner>

<div class="site-section">
  <div class="container">
    <div class="row">
      <div class="col-lg-12">
        <form [formGroup]="loginForm" (ngSubmit)="login()">
          <div class="form-group">
            <input type="text" formControlName="firstName" class="form-control" placeholder="Username">
            <div class="text-danger" *ngIf="loginForm.controls['firstName'].invalid && (loginForm.controls['firstName'].dirty || loginForm.controls['firstName'].touched)">
              <div *ngIf="loginForm.controls['firstName'].errors?.required">Username is required</div>
            </div>
          </div>
          <div class="form-group">
            <input type="password" formControlName="password" class="form-control" placeholder="Password">
            <div class="text-danger" *ngIf="loginForm.controls['password'].invalid && (loginForm.controls['password'].dirty || loginForm.controls['password'].touched)">
              <div *ngIf="loginForm.controls['password'].errors?.required">Password is required</div>
            </div>
          </div>
          
          
          
          <div class="form-group">
            <button type="submit" [disabled]="loginForm.invalid" class="btn btn-primary py-3 px-5">Login</button>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>
